// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wProcess:
//   The p4w process.

#ifndef p4wProcess_H
#define p4wProcess_H


//
// External classes
class NetEndPoint;


//
// p4wProcess class
class p4wProcess : public Process {

public:
	//
	// Constructors and destructor.
						p4wProcess(NetEndPoint *e);
	virtual				~p4wProcess();


	//
	// Child() is called by Threading::Launch() to tell us we're 
	// a child process after a fork.  To be nice, we close down 
	// the only real thing of value we don't need: the listen 
	// socket that the parent uses.
			void		Child();

	//
	// Cancel() is called by Threading::Stop() to tell the server
	// to stop listening.  We close the listen socket (brutally)
	// for this.
			void		Cancel();


private:
	//
	// Our endpoint.
			NetEndPoint	*fEndPoint;
};

#endif // p4wProcess_H
